StreamType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Class StreamType

    java.lang.Object
      javax.tv.service.navigation.StreamType

    public class StreamType

extends Object

This class represents values of `ServiceComponent` stream types (e.g., "video", "audio", "subtitles", "data", "sections", etc.).

See Also:
  `ServiceComponent`

Field Summary
`static StreamType` | `AUDIO` Audio component.
`static StreamType` | `DATA` Data component.
`static StreamType` | `SECTIONS` MPEG sections component.
`static StreamType` | `SUBTITLES` Subtitles component.
`static StreamType` | `UNKNOWN` Unknown component.
`static StreamType` | `VIDEO` Video component.

Method Summary
`String` | `toString()` Provides the string name of the type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VIDEO

    public static final StreamType VIDEO

  Video component.

### AUDIO

    public static final StreamType AUDIO

  Audio component.

### SUBTITLES

    public static final StreamType SUBTITLES

  Subtitles component.

### DATA

    public static final StreamType DATA

  Data component.

### SECTIONS

    public static final StreamType SECTIONS

  MPEG sections component.

### UNKNOWN

    public static final StreamType UNKNOWN

  Unknown component.

Method Detail

### toString

    public String toString()

  Provides the string name of the type. For the type objects defined in this class, the string name will be identical to the class variable name.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD